Bug 219242 - math/lp_solve: Update to version 5.5.2.5
Summary: math/lp_solve: Update to version 5.5.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-05-12 20:31 UTC by Pedro F. Giffuni
Modified: 2017-06-03 18:19 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mayo)


Attachments
Update lp_solve port (953 bytes, patch)
2017-05-12 20:31 UTC, Pedro F. Giffuni
no flags Details | Diff
Update lp_solve port (1.10 KB, patch)
2017-05-12 20:41 UTC, Pedro F. Giffuni
joneum: maintainer-approval? (mayo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2017-05-12 20:31:51 UTC
Created attachment 182551 [details]
Update lp_solve port

Main changes:

15/09/16 version 5.5.2.4
- When using set_lowbo and set_upbo to set bounds on a variable and the new low/up bounds are very close to each other
  but not equal then they are set equal for numerical stability.

18/09/16 version 5.5.2.5
- When all variables in the model are integer, but not all binary (in fact difference between upper and lower bound 1),
  then it could happen that not the most optimal integer solution was found.
- Updated/added scaling options to the lp_solve command line program
Comment 1 Pedro F. Giffuni freebsd_committer 2017-05-12 20:41:09 UTC
Created attachment 182552 [details]
Update lp_solve port

Minor license update, while here.
Comment 2 commit-hook freebsd_committer 2017-06-03 18:18:36 UTC
A commit references this bug:

Author: joneum
Date: Sat Jun  3 18:17:42 UTC 2017
New revision: 442512
URL: https://svnweb.freebsd.org/changeset/ports/442512

Log:
  - math/lp_solve: Update from 5.5.2.3 to 5.5.2.5
  - LICENSE update
  - Changelog: http://lpsolve.sourceforge.net/5.5/changes55.htm

  PR:				219242
  Reported by:	pfg
  Approved by:	mayo@oyam.ca (maintainer timeout, 2,5 weeks), miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11006

Changes:
  head/math/lp_solve/Makefile
  head/math/lp_solve/distinfo
Comment 3 Jochen Neumeister freebsd_committer 2017-06-03 18:19:02 UTC
Committed, thanks :-)